if RequiredScript == "lib/units/equipment/sentry_gun/sentrygunbrain" then

	-- Make enemies more likely to ignore the silent sentry when there are other targets to shoot and reduce the ammo waste during rotation

	Hooks:PostHook(SentryGunBrain, "setup", "setup_sentry_tweaks", function (self, shaprness_mul)
		if self._ext_movement:team().id == "criminal1" then
			self._criminal_sentry = true
			self._shaprness_mul = shaprness_mul * 0.1
			if Network:is_server() and self._unit:name() == tweak_data.equipments.sentry_id_strings[2] then
				PlayerMovement.set_attention_settings(self, {
					"sentry_gun_enemy_cbt_hacked"
				})
			end
		end
	end)

elseif RequiredScript == "lib/units/weapons/sentrygunweapon" then

	tweak_data.upgrades.sentry_gun_base_ammo = math.max(tweak_data.upgrades.sentry_gun_base_ammo, 25000000)

	Hooks:PostHook(SentryGunWeapon, "setup", "setup_sentry_tweaks", function (self)
		if self._unit:movement():team().id == "criminal1" then
			self._criminal_sentry = true
			self._bullet_slotmask = self._bullet_slotmask - World:make_slot_mask(16, 22)
		end
	end)


	Hooks:PostHook(SentryGunWeapon, "_set_fire_mode", "_set_fire_mode_sentry_tweaks", function (self, use_armor_piercing)
		if self._criminal_sentry and self._setup and self._setup.spread_mul then
			self._spread_mul = self._setup.spread_mul * (use_armor_piercing and 0.1 or 1)
		end
	end)

	local change_ammo = SentryGunWeapon.change_ammo
	function SentryGunWeapon:change_ammo(amount, ...)
		change_ammo(self, math.max(amount < 0 and self._criminal_sentry and self._use_armor_piercing and amount * 0 or amount, -self._ammo_total), ...)
	end
	
	function SentryGunWeapon:_set_fire_mode(use_armor_piercing)
	self._use_armor_piercing = use_armor_piercing
	self._fire_rate_reduction = self._use_armor_piercing and 0.1 or 1
	self._current_damage_mul = self._use_armor_piercing and 100000 or 1
	end
	
elseif RequiredScript == "lib/units/equipment/sentry_gun/sentrygunbase" then

	SentryGunBase.DEPLOYEMENT_COST = {1, 1, 1}
end
